#### D.3.1.5 flatten

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  flatten(A); A matrix

Return:
  ideal, generated by all entries from A

Example:

    LIB "matrix.lib";
    ring r = 0,(x,y,z),ds;
    matrix A[2][3] = 1,2,x,y,z,7;
    print(A);
    ==> 1,2,x,
    ==> y,z,7
    flatten(A);
    ==> _[1]=1
    ==> _[2]=2
    ==> _[3]=x
    ==> _[4]=y
    ==> _[5]=z
    ==> _[6]=7

User manual for Singular version 4-0-3, 2016, generated by texi2html.